Whiteship's Note

웹드라이버(webdriver) pom.xml에 의존성 추가하기

Good Tools : 2009.05.08 15:27


참조: http://code.google.com/p/webdriver/wiki/UsingWebDriver

라이브러리가 담겨있는 저장소부터 등록합니다.

            <repository>
                <id>openqa-releases</id>
                <name>OpenQA Releases</name>
                <url>http://nexus.openqa.org/content/repositories/releases</url>
                <releases>
                    <enabled>true</enabled>
                </releases>
                <snapshots>
                    <enabled>false</enabled>
                </snapshots>
            </repository>

다음은 사용할 드라이버에 따라 각기 다른 의존성을 추가합니다.

HTMLUnit 드라이버를 사용할 때는

    <dependency>
        <groupId>org.openqa.selenium.webdriver</groupId>
        <artifactId>webdriver-htmlunit</artifactId>
        <version>0.6.964</version>
    </dependency>

Firefox 드라이버를 사용할 때는

    <dependency>
        <groupId>org.openqa.selenium.webdriver</groupId>
        <artifactId>webdriver-firefox</artifactId>
        <version>0.6.964</version>
    </dependency>

IE 드라이버를 사용할 때는

    <dependency>
        <groupId>org.openqa.selenium.webdriver</groupId>
        <artifactId>webdriver-ie</artifactId>
        <version>0.6.964</version>
    </dependency>

사파리 드라이버를 사용할 때는

    <dependency>
        <groupId>org.openqa.selenium.webdriver</groupId>
        <artifactId>webdriver-safari</artifactId>
        <version>0.6.964</version>
    </dependency>

마지막으로 서포트 클래스들을 사용하고 싶다면 아래 의존성을 추가합니다.

    <dependency>
        <groupId>org.openqa.selenium.webdriver</groupId>
        <artifactId>webdriver-support</artifactId>
        <version>0.6.964</version>
    </dependency>
top




: 1 : ··· : 527 : 528 : 529 : 530 : 531 : 532 : 533 : 534 : 535 : ··· : 2638 :